Merge remote-tracking branch 'origin/master' into YaSp
[scilab.git] / scilab / modules / spreadsheet / Makefile.in
1 # Makefile.in generated by automake 1.11.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) 2006 - INRIA - Sylvestre LEDRU
20 #
21 # This file is distributed under the same license as the Scilab package.
22
23 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
24 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
25 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
26 #
27 # This file must be used under the terms of the CeCILL.
28 # This source file is licensed as described in the file COPYING, which
29 # you should have received as part of this distribution.  The terms
30 # are also available at
31 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
32 #
33
34 ##########
35 ### Makefile included stuff
36 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
37 ##########
38
39
40 VPATH = @srcdir@
41 am__make_dryrun = \
42   { \
43     am__dry=no; \
44     case $$MAKEFLAGS in \
45       *\\[\ \   ]*) \
46         echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
47           | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
48       *) \
49         for am__flg in $$MAKEFLAGS; do \
50           case $$am__flg in \
51             *=*|--*) ;; \
52             *n*) am__dry=yes; break;; \
53           esac; \
54         done;; \
55     esac; \
56     test $$am__dry = yes; \
57   }
58 pkgdatadir = $(datadir)/@PACKAGE@
59 pkgincludedir = $(includedir)/@PACKAGE@
60 pkglibdir = $(libdir)/@PACKAGE@
61 pkglibexecdir = $(libexecdir)/@PACKAGE@
62 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
63 install_sh_DATA = $(install_sh) -c -m 644
64 install_sh_PROGRAM = $(install_sh) -c
65 install_sh_SCRIPT = $(install_sh) -c
66 INSTALL_HEADER = $(INSTALL_DATA)
67 transform = $(program_transform_name)
68 NORMAL_INSTALL = :
69 PRE_INSTALL = :
70 POST_INSTALL = :
71 NORMAL_UNINSTALL = :
72 PRE_UNINSTALL = :
73 POST_UNINSTALL = :
74 build_triplet = @build@
75 host_triplet = @host@
76 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
77         $(top_srcdir)/Makefile.incl.am TODO
78 @NEED_JAVA_TRUE@am__append_1 = java
79 subdir = modules/spreadsheet
80 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
81 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
82         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/curl.m4 \
83         $(top_srcdir)/m4/docbook.m4 $(top_srcdir)/m4/doxygen.m4 \
84         $(top_srcdir)/m4/eigen.m4 $(top_srcdir)/m4/fftw.m4 \
85         $(top_srcdir)/m4/fortran.m4 $(top_srcdir)/m4/giws.m4 \
86         $(top_srcdir)/m4/hdf5.m4 $(top_srcdir)/m4/intel_compiler.m4 \
87         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
88         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
89         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
90         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
91         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
92         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
93         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
94         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/relocatable.m4 \
95         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
96         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
97         $(top_srcdir)/configure.ac
98 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
99         $(ACLOCAL_M4)
100 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
101 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
102 CONFIG_CLEAN_FILES =
103 CONFIG_CLEAN_VPATH_FILES =
104 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
105 am__vpath_adj = case $$p in \
106     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
107     *) f=$$p;; \
108   esac;
109 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
110 am__install_max = 40
111 am__nobase_strip_setup = \
112   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
113 am__nobase_strip = \
114   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
115 am__nobase_list = $(am__nobase_strip_setup); \
116   for p in $$list; do echo "$$p $$p"; done | \
117   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
118   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
119     if (++n[$$2] == $(am__install_max)) \
120       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
121     END { for (dir in files) print dir, files[dir] }'
122 am__base_list = \
123   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
124   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
125 am__uninstall_files_from_dir = { \
126   test -z "$$files" \
127     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
128     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
129          $(am__cd) "$$dir" && rm -f $$files; }; \
130   }
131 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
132         "$(DESTDIR)$(libscispreadsheet_la_etcdir)" \
133         "$(DESTDIR)$(libscispreadsheet_la_rootdir)" \
134         "$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)"
135 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
136 libscispreadsheet_algo_la_LIBADD =
137 am__objects_1 = libscispreadsheet_algo_la-xls.lo \
138         libscispreadsheet_algo_la-checkCsvWriteFormat.lo \
139         libscispreadsheet_algo_la-csv_complex.lo \
140         libscispreadsheet_algo_la-csvDefault.lo \
141         libscispreadsheet_algo_la-csvIsnum.lo \
142         libscispreadsheet_algo_la-csvRead.lo \
143         libscispreadsheet_algo_la-csv_strsubst.lo \
144         libscispreadsheet_algo_la-csvWrite.lo \
145         libscispreadsheet_algo_la-getRange.lo \
146         libscispreadsheet_algo_la-latintoutf.lo \
147         libscispreadsheet_algo_la-splitLine.lo \
148         libscispreadsheet_algo_la-stringToComplex.lo \
149         libscispreadsheet_algo_la-utftolatin.lo
150 am__objects_2 = libscispreadsheet_algo_la-olestream-unwrap.lo \
151         libscispreadsheet_algo_la-pldstr.lo \
152         libscispreadsheet_algo_la-ole.lo \
153         libscispreadsheet_algo_la-bytedecoders.lo \
154         libscispreadsheet_algo_la-logger.lo \
155         libscispreadsheet_algo_la-ripole.lo \
156         libscispreadsheet_algo_la-bt-int.lo
157 am_libscispreadsheet_algo_la_OBJECTS = $(am__objects_1) \
158         $(am__objects_2)
159 libscispreadsheet_algo_la_OBJECTS =  \
160         $(am_libscispreadsheet_algo_la_OBJECTS)
161 libscispreadsheet_la_DEPENDENCIES = libscispreadsheet-algo.la
162 am__objects_3 = libscispreadsheet_la-sci_xls_read.lo \
163         libscispreadsheet_la-sci_xls_open.lo
164 am__objects_4 = libscispreadsheet_la-gw_spreadsheet.lo \
165         libscispreadsheet_la-gw_csv_helpers.lo \
166         libscispreadsheet_la-sci_csvDefault.lo \
167         libscispreadsheet_la-sci_csvIsnum.lo \
168         libscispreadsheet_la-sci_csvRead.lo \
169         libscispreadsheet_la-sci_csvStringToDouble.lo \
170         libscispreadsheet_la-sci_csvTextScan.lo \
171         libscispreadsheet_la-sci_csvWrite.lo
172 am_libscispreadsheet_la_OBJECTS = $(am__objects_3) $(am__objects_4)
173 libscispreadsheet_la_OBJECTS = $(am_libscispreadsheet_la_OBJECTS)
174 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
175 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
176 am__depfiles_maybe = depfiles
177 am__mv = mv -f
178 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
179         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
180 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
181         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
182         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
183 CCLD = $(CC)
184 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
185         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
186         $(LDFLAGS) -o $@
187 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
188         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
189 LTCXXCOMPILE = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
190         --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
191         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
192 CXXLD = $(CXX)
193 CXXLINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
194         --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
195         $(LDFLAGS) -o $@
196 SOURCES = $(libscispreadsheet_algo_la_SOURCES) \
197         $(libscispreadsheet_la_SOURCES)
198 DIST_SOURCES = $(libscispreadsheet_algo_la_SOURCES) \
199         $(libscispreadsheet_la_SOURCES)
200 am__can_run_installinfo = \
201   case $$AM_UPDATE_INFO_DIR in \
202     n|no|NO) false;; \
203     *) (install-info --version) >/dev/null 2>&1;; \
204   esac
205 DATA = $(libscispreadsheet_la_etc_DATA) \
206         $(libscispreadsheet_la_root_DATA) \
207         $(libscispreadsheet_la_sci_gateway_DATA)
208 ETAGS = etags
209 CTAGS = ctags
210 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
211 ACLOCAL = @ACLOCAL@
212 ALL_LINGUAS = @ALL_LINGUAS@
213 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
214 AMTAR = @AMTAR@
215 ANT = @ANT@
216 ANTLR = @ANTLR@
217 AR = @AR@
218 ARPACK_LIBS = @ARPACK_LIBS@
219 ASM3 = @ASM3@
220 AUTOCONF = @AUTOCONF@
221 AUTOHEADER = @AUTOHEADER@
222 AUTOMAKE = @AUTOMAKE@
223 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
224 AWK = @AWK@
225 BATIK = @BATIK@
226 BLAS_LIBS = @BLAS_LIBS@
227 CC = @CC@
228 CCACHE = @CCACHE@
229 CCDEPMODE = @CCDEPMODE@
230 CFLAGS = @CFLAGS@
231 CHECKSTYLE = @CHECKSTYLE@
232 COBERTURA = @COBERTURA@
233 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
234 COMMONS_IO = @COMMONS_IO@
235 COMMONS_LOGGING = @COMMONS_LOGGING@
236 CPP = @CPP@
237 CPPFLAGS = @CPPFLAGS@
238 CURL_CFLAGS = @CURL_CFLAGS@
239 CURL_CONFIG = @CURL_CONFIG@
240 CURL_LIBS = @CURL_LIBS@
241 CURL_VERSION = @CURL_VERSION@
242 CXX = @CXX@
243 CXXCPP = @CXXCPP@
244 CXXDEPMODE = @CXXDEPMODE@
245 CXXFLAGS = @CXXFLAGS@
246 CYGPATH_W = @CYGPATH_W@
247 DEFS = @DEFS@
248 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
249 DEPDIR = @DEPDIR@
250 DOCBOOK_ROOT = @DOCBOOK_ROOT@
251 DOXYGEN_BIN = @DOXYGEN_BIN@
252 DSYMUTIL = @DSYMUTIL@
253 DUMPBIN = @DUMPBIN@
254 ECHO_C = @ECHO_C@
255 ECHO_N = @ECHO_N@
256 ECHO_T = @ECHO_T@
257 EGREP = @EGREP@
258 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
259 EXEEXT = @EXEEXT@
260 F77 = @F77@
261 FFLAGS = @FFLAGS@
262 FFTW3_LIB = @FFTW3_LIB@
263 FFTW_ENABLE = @FFTW_ENABLE@
264 FGREP = @FGREP@
265 FLEXDOCK = @FLEXDOCK@
266 FLIBS = @FLIBS@
267 FOP = @FOP@
268 GENHTML = @GENHTML@
269 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
270 GIWS_BIN = @GIWS_BIN@
271 GLUEGEN2_RT = @GLUEGEN2_RT@
272 GMSGFMT = @GMSGFMT@
273 GMSGFMT_015 = @GMSGFMT_015@
274 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
275 GREP = @GREP@
276 GUI_ENABLE = @GUI_ENABLE@
277 HDF5_CFLAGS = @HDF5_CFLAGS@
278 HDF5_LIBS = @HDF5_LIBS@
279 HELP_ENABLE = @HELP_ENABLE@
280 INSTALL = @INSTALL@
281 INSTALL_DATA = @INSTALL_DATA@
282 INSTALL_PROGRAM = @INSTALL_PROGRAM@
283 INSTALL_SCRIPT = @INSTALL_SCRIPT@
284 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
285 INTLLIBS = @INTLLIBS@
286 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
287 JAR = @JAR@
288 JAVA = @JAVA@
289 JAVAC = @JAVAC@
290 JAVAC_DEBUG = @JAVAC_DEBUG@
291 JAVADOC = @JAVADOC@
292 JAVAH = @JAVAH@
293 JAVASCI_ENABLE = @JAVASCI_ENABLE@
294 JAVA_ENABLE = @JAVA_ENABLE@
295 JAVA_G = @JAVA_G@
296 JAVA_HOME = @JAVA_HOME@
297 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
298 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
299 JDB = @JDB@
300 JEUCLID_CORE = @JEUCLID_CORE@
301 JGRAPHX = @JGRAPHX@
302 JHALL = @JHALL@
303 JLATEXMATH = @JLATEXMATH@
304 JLATEXMATH_FOP = @JLATEXMATH_FOP@
305 JOGL2 = @JOGL2@
306 JROSETTA_API = @JROSETTA_API@
307 JROSETTA_ENGINE = @JROSETTA_ENGINE@
308 JUNIT4 = @JUNIT4@
309 LAPACK_LIBS = @LAPACK_LIBS@
310 LCOV = @LCOV@
311 LD = @LD@
312 LDFLAGS = @LDFLAGS@
313 LEX = @LEX@
314 LEXLIB = @LEXLIB@
315 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
316 LIBICONV = @LIBICONV@
317 LIBINTL = @LIBINTL@
318 LIBM = @LIBM@
319 LIBOBJS = @LIBOBJS@
320 LIBS = @LIBS@
321 LIBTOOL = @LIBTOOL@
322 LIPO = @LIPO@
323 LN_S = @LN_S@
324 LOGGING_LEVEL = @LOGGING_LEVEL@
325 LOOKS = @LOOKS@
326 LTLIBICONV = @LTLIBICONV@
327 LTLIBINTL = @LTLIBINTL@
328 LTLIBOBJS = @LTLIBOBJS@
329 MAINT = @MAINT@
330 MAKEINFO = @MAKEINFO@
331 MATIO_CFLAGS = @MATIO_CFLAGS@
332 MATIO_ENABLE = @MATIO_ENABLE@
333 MATIO_LIBS = @MATIO_LIBS@
334 MKDIR_P = @MKDIR_P@
335 MSGCAT = @MSGCAT@
336 MSGFMT = @MSGFMT@
337 MSGFMT_015 = @MSGFMT_015@
338 MSGMERGE = @MSGMERGE@
339 NM = @NM@
340 NMEDIT = @NMEDIT@
341 OBJDUMP = @OBJDUMP@
342 OBJEXT = @OBJEXT@
343 OCAMLC = @OCAMLC@
344 OCAMLDEP = @OCAMLDEP@
345 OCAMLLEX = @OCAMLLEX@
346 OCAMLOPT = @OCAMLOPT@
347 OCAMLYACC = @OCAMLYACC@
348 OPENMP_CFLAGS = @OPENMP_CFLAGS@
349 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
350 OPENMP_ENABLE = @OPENMP_ENABLE@
351 OPENMP_LIBS = @OPENMP_LIBS@
352 OTOOL = @OTOOL@
353 OTOOL64 = @OTOOL64@
354 PACKAGE = @PACKAGE@
355 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
356 PACKAGE_NAME = @PACKAGE_NAME@
357 PACKAGE_STRING = @PACKAGE_STRING@
358 PACKAGE_TARNAME = @PACKAGE_TARNAME@
359 PACKAGE_URL = @PACKAGE_URL@
360 PACKAGE_VERSION = @PACKAGE_VERSION@
361 PATH_SEPARATOR = @PATH_SEPARATOR@
362 PCRE_CFLAGS = @PCRE_CFLAGS@
363 PCRE_CONFIG = @PCRE_CONFIG@
364 PCRE_LIBS = @PCRE_LIBS@
365 PCRE_VERSION = @PCRE_VERSION@
366 PKG_CONFIG = @PKG_CONFIG@
367 POSUB = @POSUB@
368 POW_LIB = @POW_LIB@
369 PYTHON = @PYTHON@
370 RANLIB = @RANLIB@
371 RELOCATABLE = @RELOCATABLE@
372 RT_LIB = @RT_LIB@
373 SAXON = @SAXON@
374 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
375 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
376 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
377 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
378 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
379 SCIRENDERER = @SCIRENDERER@
380 SCI_CFLAGS = @SCI_CFLAGS@
381 SCI_CXXFLAGS = @SCI_CXXFLAGS@
382 SCI_FFLAGS = @SCI_FFLAGS@
383 SCI_LDFLAGS = @SCI_LDFLAGS@
384 SED = @SED@
385 SET_MAKE = @SET_MAKE@
386 SET_RELOCATABLE = @SET_RELOCATABLE@
387 SHELL = @SHELL@
388 SKINLF = @SKINLF@
389 SPLINT = @SPLINT@
390 STRIP = @STRIP@
391 SWIG_BIN = @SWIG_BIN@
392 SWIG_JAVA = @SWIG_JAVA@
393 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
394 TCLTK_LIBS = @TCLTK_LIBS@
395 TCL_INC_PATH = @TCL_INC_PATH@
396 TK_INC_PATH = @TK_INC_PATH@
397 UMFPACK_ENABLE = @UMFPACK_ENABLE@
398 UMFPACK_LIB = @UMFPACK_LIB@
399 USE_NLS = @USE_NLS@
400 VERSION = @VERSION@
401 WITH_OCAML = @WITH_OCAML@
402 WITH_TKSCI = @WITH_TKSCI@
403 XCOS_ENABLE = @XCOS_ENABLE@
404 XGETTEXT = @XGETTEXT@
405 XGETTEXT_015 = @XGETTEXT_015@
406 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
407 XMKMF = @XMKMF@
408 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
409 XML_APIS_EXT = @XML_APIS_EXT@
410 XML_CONFIG = @XML_CONFIG@
411 XML_FLAGS = @XML_FLAGS@
412 XML_LIBS = @XML_LIBS@
413 XML_VERSION = @XML_VERSION@
414 X_CFLAGS = @X_CFLAGS@
415 X_EXTRA_LIBS = @X_EXTRA_LIBS@
416 X_LIBS = @X_LIBS@
417 X_PRE_LIBS = @X_PRE_LIBS@
418 YACC = @YACC@
419 YFLAGS = @YFLAGS@
420 abs_builddir = @abs_builddir@
421 abs_srcdir = @abs_srcdir@
422 abs_top_builddir = @abs_top_builddir@
423 abs_top_srcdir = @abs_top_srcdir@
424 ac_ct_CC = @ac_ct_CC@
425 ac_ct_CXX = @ac_ct_CXX@
426 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
427 ac_ct_F77 = @ac_ct_F77@
428 am__include = @am__include@
429 am__leading_dot = @am__leading_dot@
430 am__quote = @am__quote@
431 am__tar = @am__tar@
432 am__untar = @am__untar@
433 bindir = @bindir@
434 build = @build@
435 build_alias = @build_alias@
436 build_cpu = @build_cpu@
437 build_os = @build_os@
438 build_vendor = @build_vendor@
439 builddir = @builddir@
440 cxx_present = @cxx_present@
441 datadir = @datadir@
442 datarootdir = @datarootdir@
443 docdir = @docdir@
444 dvidir = @dvidir@
445 exec_prefix = @exec_prefix@
446 host = @host@
447 host_alias = @host_alias@
448 host_cpu = @host_cpu@
449 host_os = @host_os@
450 host_vendor = @host_vendor@
451 htmldir = @htmldir@
452 includedir = @includedir@
453 infodir = @infodir@
454 install_sh = @install_sh@
455 libdir = @libdir@
456 libexecdir = @libexecdir@
457 localedir = @localedir@
458 localstatedir = @localstatedir@
459 mandir = @mandir@
460 mkdir_p = @mkdir_p@
461 oldincludedir = @oldincludedir@
462 pdfdir = @pdfdir@
463 prefix = @prefix@
464 program_transform_name = @program_transform_name@
465 psdir = @psdir@
466 sbindir = @sbindir@
467 sharedstatedir = @sharedstatedir@
468 srcdir = @srcdir@
469 sysconfdir = @sysconfdir@
470 target_alias = @target_alias@
471 top_build_prefix = @top_build_prefix@
472 top_builddir = @top_builddir@
473 top_srcdir = @top_srcdir@
474 yacc_present = @yacc_present@
475 SPREADSHEET_C_SOURCES = \
476 src/c/xls.c \
477 src/c/checkCsvWriteFormat.c \
478 src/c/csv_complex.c \
479 src/c/csvDefault.c \
480 src/c/csvIsnum.c \
481 src/c/csvRead.c \
482 src/c/csv_strsubst.c \
483 src/c/csvWrite.c \
484 src/c/getRange.c \
485 src/c/latintoutf.c \
486 src/c/splitLine.c \
487 src/c/stringToComplex.c \
488 src/c/utftolatin.c
489
490 RIPOLE_SOURCES = \
491 src/c/ripole/olestream-unwrap.c \
492 src/c/ripole/pldstr.c \
493 src/c/ripole/ole.c \
494 src/c/ripole/bytedecoders.c \
495 src/c/ripole/logger.c \
496 src/c/ripole/ripole.c \
497 src/c/ripole/bt-int.c
498
499 GATEWAY_CXX_SOURCES = \
500 sci_gateway/cpp/sci_xls_read.cpp \
501 sci_gateway/cpp/sci_xls_open.cpp
502
503 libscispreadsheet_la_CPPFLAGS = \
504 -I$(srcdir)/includes/ \
505 -I$(srcdir)/src/c/ \
506 -I$(srcdir)/src/c/ripole \
507 -I$(top_srcdir)/libs/MALLOC/includes/ \
508 -I$(top_srcdir)/modules/output_stream/includes \
509 -I$(top_srcdir)/modules/api_scilab/includes \
510 -I$(top_srcdir)/modules/dynamic_link/includes \
511 -I$(top_srcdir)/modules/symbol/includes \
512 -I$(top_srcdir)/modules/ast/includes \
513 -I$(top_srcdir)/modules/threads/includes \
514 -I$(top_srcdir)/modules/operations/includes \
515 -I$(top_srcdir)/modules/system_env/includes \
516 -I$(top_srcdir)/modules/fileio/includes \
517 -I$(top_srcdir)/modules/types/includes/ \
518 -I$(top_srcdir)/modules/localization/includes/ \
519 -I$(top_srcdir)/modules/string/includes/ \
520 -I$(top_srcdir)/modules/string/src/c/ \
521 -I$(top_srcdir)/modules/io/includes/ \
522 -I$(top_srcdir)/modules/dynamic_link/includes \
523 $(AM_CPPFLAGS)
524
525 GATEWAY_C_SOURCES = \
526 sci_gateway/c/gw_spreadsheet.c \
527 sci_gateway/c/gw_csv_helpers.c \
528 sci_gateway/c/sci_csvDefault.c \
529 sci_gateway/c/sci_csvIsnum.c \
530 sci_gateway/c/sci_csvRead.c \
531 sci_gateway/c/sci_csvStringToDouble.c \
532 sci_gateway/c/sci_csvTextScan.c \
533 sci_gateway/c/sci_csvWrite.c
534
535 pkglib_LTLIBRARIES = libscispreadsheet.la
536 noinst_LTLIBRARIES = libscispreadsheet-algo.la
537 libscispreadsheet_algo_la_SOURCES = $(SPREADSHEET_C_SOURCES) $(RIPOLE_SOURCES)
538 libscispreadsheet_la_SOURCES = $(GATEWAY_CXX_SOURCES) $(GATEWAY_C_SOURCES)
539 libscispreadsheet_algo_la_CPPFLAGS = $(libscispreadsheet_la_CPPFLAGS)
540
541 # For the code check (splint)
542 CHECK_SRC = $(SPREADSHEET_C_SOURCES) $(GATEWAY_CXX_SOURCES) $(RIPOLE_SOURCES)
543 INCLUDE_FLAGS = $(libscispreadsheet_la_CPPFLAGS)
544 libscispreadsheet_la_LIBADD = libscispreadsheet-algo.la
545
546 #### Target ######
547 modulename = spreadsheet
548
549 #### spreadsheet : Conf files ####
550 libscispreadsheet_la_rootdir = $(mydatadir)
551 libscispreadsheet_la_root_DATA = license.txt
552
553 ####�spreadsheet : init scripts ####
554 libscispreadsheet_la_etcdir = $(mydatadir)/etc
555 libscispreadsheet_la_etc_DATA = etc/spreadsheet.quit etc/spreadsheet.start
556
557 ####�spreadsheet : gateway declaration ####
558 libscispreadsheet_la_sci_gatewaydir = $(mydatadir)/sci_gateway
559 libscispreadsheet_la_sci_gateway_DATA = sci_gateway/spreadsheet_gateway.xml
560
561 # Where all the Scilab stuff is installed (macros, help, ...)
562 mydatadir = $(pkgdatadir)/modules/$(modulename)
563
564 # Set AM_* SCI detected settings
565 AM_CPPFLAGS = $(SCI_CPPFLAGS)
566 AM_CFLAGS = $(SCI_CFLAGS)
567 AM_CXXFLAGS = $(SCI_CXXFLAGS)
568 # append includes to AM_FFLAGS to manage fortran includes
569 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
570
571 # Tag shared libraries with the Scilab version
572 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
573
574 # splint options
575 SPLINT_OPTIONS = -weak -booltype BOOL
576
577 ########################### JAVA ######################################
578 #### We are delegating java compilation to ant... Thanks to that
579 #### the procedure will be the same with Microsoft Windows (C)
580 #### and Linux/Unix
581 #######################################################################
582 TARGETS_ALL = $(am__append_1)
583
584 ################ MACROS ######################
585 # Rule to build a macro
586 # NOT USED  AT THE MOMENT
587 SUFFIXES = .sci 
588
589 ########### INSTALL DOCUMENTATION ###################
590
591 # Install documentation files into the right target
592 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
593 # automake needs the html files to be present which is not the case when
594 # we are building Scilab
595
596 # Where it should be installed
597 pkgdocdir = $(mydatadir)
598
599 # What is the mask of the help source
600 DOCMASKXML = *.xml
601
602 # What is the mask of the MathML sources
603 DOCMASKMML = *.mml
604
605 ########### INSTALL DATA ###################
606 # Install macros, help & demos
607 # Where it should be installed
608 pkgmacrosdir = $(mydatadir)
609 # Which directory we process
610 MACRODIRS = macros/
611 # Mask of the Scilab sources macros
612 MACROMASK = *.sci
613 # Mask of the Scilab executable sources macros
614 MACROBUILDMASK = *.sce
615 # Mask of the Scilab compiled macros
616 MACROBINMASK = *.bin
617 # List of the standard directory for tests
618 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
619 # Where the demos should be installed
620 pkgdemosdir = $(mydatadir)
621 # List of the standard directory for demos
622 DEMOS_DIR = demos
623 # List of the standard directory for examples
624 EXAMPLES_DIR = examples
625 # Where to export JAVA archives (.jar)
626 JARDIR = jar/
627 # JAR files mask
628 JARMASK = *.jar
629 # Chapter file 
630 HELP_CHAPTERDIR = help/
631 HELP_CHAPTERFILE = addchapter.sce
632 HELP_CHAPTERLANG = en_US fr_FR pt_BR
633 all: all-am
634
635 .SUFFIXES:
636 .SUFFIXES: .sci .bin .c .cpp .lo .o .obj
637 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
638         @for dep in $?; do \
639           case '$(am__configure_deps)' in \
640             *$$dep*) \
641               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
642                 && { if test -f $@; then exit 0; else break; fi; }; \
643               exit 1;; \
644           esac; \
645         done; \
646         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/spreadsheet/Makefile'; \
647         $(am__cd) $(top_srcdir) && \
648           $(AUTOMAKE) --foreign modules/spreadsheet/Makefile
649 .PRECIOUS: Makefile
650 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
651         @case '$?' in \
652           *config.status*) \
653             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
654           *) \
655             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
656             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
657         esac;
658 $(top_srcdir)/Makefile.incl.am:
659
660 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
661         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
662
663 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
664         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
665 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
666         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
667 $(am__aclocal_m4_deps):
668
669 clean-noinstLTLIBRARIES:
670         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
671         @list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
672           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
673           test "$$dir" != "$$p" || dir=.; \
674           echo "rm -f \"$${dir}/so_locations\""; \
675           rm -f "$${dir}/so_locations"; \
676         done
677 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
678         @$(NORMAL_INSTALL)
679         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
680         list2=; for p in $$list; do \
681           if test -f $$p; then \
682             list2="$$list2 $$p"; \
683           else :; fi; \
684         done; \
685         test -z "$$list2" || { \
686           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
687           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
688           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
689           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
690         }
691
692 uninstall-pkglibLTLIBRARIES:
693         @$(NORMAL_UNINSTALL)
694         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
695         for p in $$list; do \
696           $(am__strip_dir) \
697           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
698           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
699         done
700
701 clean-pkglibLTLIBRARIES:
702         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
703         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
704           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
705           test "$$dir" != "$$p" || dir=.; \
706           echo "rm -f \"$${dir}/so_locations\""; \
707           rm -f "$${dir}/so_locations"; \
708         done
709 libscispreadsheet-algo.la: $(libscispreadsheet_algo_la_OBJECTS) $(libscispreadsheet_algo_la_DEPENDENCIES) $(EXTRA_libscispreadsheet_algo_la_DEPENDENCIES) 
710         $(LINK)  $(libscispreadsheet_algo_la_OBJECTS) $(libscispreadsheet_algo_la_LIBADD) $(LIBS)
711 libscispreadsheet.la: $(libscispreadsheet_la_OBJECTS) $(libscispreadsheet_la_DEPENDENCIES) $(EXTRA_libscispreadsheet_la_DEPENDENCIES) 
712         $(CXXLINK) -rpath $(pkglibdir) $(libscispreadsheet_la_OBJECTS) $(libscispreadsheet_la_LIBADD) $(LIBS)
713
714 mostlyclean-compile:
715         -rm -f *.$(OBJEXT)
716
717 distclean-compile:
718         -rm -f *.tab.c
719
720 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-bt-int.Plo@am__quote@
721 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-bytedecoders.Plo@am__quote@
722 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-checkCsvWriteFormat.Plo@am__quote@
723 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-csvDefault.Plo@am__quote@
724 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-csvIsnum.Plo@am__quote@
725 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-csvRead.Plo@am__quote@
726 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-csvWrite.Plo@am__quote@
727 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-csv_complex.Plo@am__quote@
728 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-csv_strsubst.Plo@am__quote@
729 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-getRange.Plo@am__quote@
730 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-latintoutf.Plo@am__quote@
731 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-logger.Plo@am__quote@
732 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-ole.Plo@am__quote@
733 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-olestream-unwrap.Plo@am__quote@
734 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-pldstr.Plo@am__quote@
735 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-ripole.Plo@am__quote@
736 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-splitLine.Plo@am__quote@
737 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-stringToComplex.Plo@am__quote@
738 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-utftolatin.Plo@am__quote@
739 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-xls.Plo@am__quote@
740 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-gw_csv_helpers.Plo@am__quote@
741 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-gw_spreadsheet.Plo@am__quote@
742 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-sci_csvDefault.Plo@am__quote@
743 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-sci_csvIsnum.Plo@am__quote@
744 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-sci_csvRead.Plo@am__quote@
745 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-sci_csvStringToDouble.Plo@am__quote@
746 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-sci_csvTextScan.Plo@am__quote@
747 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-sci_csvWrite.Plo@am__quote@
748 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-sci_xls_open.Plo@am__quote@
749 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-sci_xls_read.Plo@am__quote@
750
751 .c.o:
752 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
753 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
754 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
755 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
756 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
757
758 .c.obj:
759 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
760 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
761 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
762 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
763 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
764
765 .c.lo:
766 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
767 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
768 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
769 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
770 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
771
772 libscispreadsheet_algo_la-xls.lo: src/c/xls.c
773 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-xls.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-xls.Tpo -c -o libscispreadsheet_algo_la-xls.lo `test -f 'src/c/xls.c' || echo '$(srcdir)/'`src/c/xls.c
774 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-xls.Tpo $(DEPDIR)/libscispreadsheet_algo_la-xls.Plo
775 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/xls.c' object='libscispreadsheet_algo_la-xls.lo' libtool=yes @AMDEPBACKSLASH@
776 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
777 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-xls.lo `test -f 'src/c/xls.c' || echo '$(srcdir)/'`src/c/xls.c
778
779 libscispreadsheet_algo_la-checkCsvWriteFormat.lo: src/c/checkCsvWriteFormat.c
780 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-checkCsvWriteFormat.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-checkCsvWriteFormat.Tpo -c -o libscispreadsheet_algo_la-checkCsvWriteFormat.lo `test -f 'src/c/checkCsvWriteFormat.c' || echo '$(srcdir)/'`src/c/checkCsvWriteFormat.c
781 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-checkCsvWriteFormat.Tpo $(DEPDIR)/libscispreadsheet_algo_la-checkCsvWriteFormat.Plo
782 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/checkCsvWriteFormat.c' object='libscispreadsheet_algo_la-checkCsvWriteFormat.lo' libtool=yes @AMDEPBACKSLASH@
783 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
784 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-checkCsvWriteFormat.lo `test -f 'src/c/checkCsvWriteFormat.c' || echo '$(srcdir)/'`src/c/checkCsvWriteFormat.c
785
786 libscispreadsheet_algo_la-csv_complex.lo: src/c/csv_complex.c
787 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-csv_complex.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-csv_complex.Tpo -c -o libscispreadsheet_algo_la-csv_complex.lo `test -f 'src/c/csv_complex.c' || echo '$(srcdir)/'`src/c/csv_complex.c
788 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-csv_complex.Tpo $(DEPDIR)/libscispreadsheet_algo_la-csv_complex.Plo
789 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/csv_complex.c' object='libscispreadsheet_algo_la-csv_complex.lo' libtool=yes @AMDEPBACKSLASH@
790 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
791 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-csv_complex.lo `test -f 'src/c/csv_complex.c' || echo '$(srcdir)/'`src/c/csv_complex.c
792
793 libscispreadsheet_algo_la-csvDefault.lo: src/c/csvDefault.c
794 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-csvDefault.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-csvDefault.Tpo -c -o libscispreadsheet_algo_la-csvDefault.lo `test -f 'src/c/csvDefault.c' || echo '$(srcdir)/'`src/c/csvDefault.c
795 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-csvDefault.Tpo $(DEPDIR)/libscispreadsheet_algo_la-csvDefault.Plo
796 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/csvDefault.c' object='libscispreadsheet_algo_la-csvDefault.lo' libtool=yes @AMDEPBACKSLASH@
797 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
798 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-csvDefault.lo `test -f 'src/c/csvDefault.c' || echo '$(srcdir)/'`src/c/csvDefault.c
799
800 libscispreadsheet_algo_la-csvIsnum.lo: src/c/csvIsnum.c
801 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-csvIsnum.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-csvIsnum.Tpo -c -o libscispreadsheet_algo_la-csvIsnum.lo `test -f 'src/c/csvIsnum.c' || echo '$(srcdir)/'`src/c/csvIsnum.c
802 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-csvIsnum.Tpo $(DEPDIR)/libscispreadsheet_algo_la-csvIsnum.Plo
803 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/csvIsnum.c' object='libscispreadsheet_algo_la-csvIsnum.lo' libtool=yes @AMDEPBACKSLASH@
804 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
805 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-csvIsnum.lo `test -f 'src/c/csvIsnum.c' || echo '$(srcdir)/'`src/c/csvIsnum.c
806
807 libscispreadsheet_algo_la-csvRead.lo: src/c/csvRead.c
808 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-csvRead.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-csvRead.Tpo -c -o libscispreadsheet_algo_la-csvRead.lo `test -f 'src/c/csvRead.c' || echo '$(srcdir)/'`src/c/csvRead.c
809 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-csvRead.Tpo $(DEPDIR)/libscispreadsheet_algo_la-csvRead.Plo
810 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/csvRead.c' object='libscispreadsheet_algo_la-csvRead.lo' libtool=yes @AMDEPBACKSLASH@
811 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
812 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-csvRead.lo `test -f 'src/c/csvRead.c' || echo '$(srcdir)/'`src/c/csvRead.c
813
814 libscispreadsheet_algo_la-csv_strsubst.lo: src/c/csv_strsubst.c
815 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-csv_strsubst.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-csv_strsubst.Tpo -c -o libscispreadsheet_algo_la-csv_strsubst.lo `test -f 'src/c/csv_strsubst.c' || echo '$(srcdir)/'`src/c/csv_strsubst.c
816 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-csv_strsubst.Tpo $(DEPDIR)/libscispreadsheet_algo_la-csv_strsubst.Plo
817 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/csv_strsubst.c' object='libscispreadsheet_algo_la-csv_strsubst.lo' libtool=yes @AMDEPBACKSLASH@
818 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
819 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-csv_strsubst.lo `test -f 'src/c/csv_strsubst.c' || echo '$(srcdir)/'`src/c/csv_strsubst.c
820
821 libscispreadsheet_algo_la-csvWrite.lo: src/c/csvWrite.c
822 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-csvWrite.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-csvWrite.Tpo -c -o libscispreadsheet_algo_la-csvWrite.lo `test -f 'src/c/csvWrite.c' || echo '$(srcdir)/'`src/c/csvWrite.c
823 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-csvWrite.Tpo $(DEPDIR)/libscispreadsheet_algo_la-csvWrite.Plo
824 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/csvWrite.c' object='libscispreadsheet_algo_la-csvWrite.lo' libtool=yes @AMDEPBACKSLASH@
825 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
826 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-csvWrite.lo `test -f 'src/c/csvWrite.c' || echo '$(srcdir)/'`src/c/csvWrite.c
827
828 libscispreadsheet_algo_la-getRange.lo: src/c/getRange.c
829 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-getRange.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-getRange.Tpo -c -o libscispreadsheet_algo_la-getRange.lo `test -f 'src/c/getRange.c' || echo '$(srcdir)/'`src/c/getRange.c
830 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-getRange.Tpo $(DEPDIR)/libscispreadsheet_algo_la-getRange.Plo
831 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/getRange.c' object='libscispreadsheet_algo_la-getRange.lo' libtool=yes @AMDEPBACKSLASH@
832 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
833 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-getRange.lo `test -f 'src/c/getRange.c' || echo '$(srcdir)/'`src/c/getRange.c
834
835 libscispreadsheet_algo_la-latintoutf.lo: src/c/latintoutf.c
836 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-latintoutf.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-latintoutf.Tpo -c -o libscispreadsheet_algo_la-latintoutf.lo `test -f 'src/c/latintoutf.c' || echo '$(srcdir)/'`src/c/latintoutf.c
837 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-latintoutf.Tpo $(DEPDIR)/libscispreadsheet_algo_la-latintoutf.Plo
838 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/latintoutf.c' object='libscispreadsheet_algo_la-latintoutf.lo' libtool=yes @AMDEPBACKSLASH@
839 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
840 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-latintoutf.lo `test -f 'src/c/latintoutf.c' || echo '$(srcdir)/'`src/c/latintoutf.c
841
842 libscispreadsheet_algo_la-splitLine.lo: src/c/splitLine.c
843 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-splitLine.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-splitLine.Tpo -c -o libscispreadsheet_algo_la-splitLine.lo `test -f 'src/c/splitLine.c' || echo '$(srcdir)/'`src/c/splitLine.c
844 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-splitLine.Tpo $(DEPDIR)/libscispreadsheet_algo_la-splitLine.Plo
845 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/splitLine.c' object='libscispreadsheet_algo_la-splitLine.lo' libtool=yes @AMDEPBACKSLASH@
846 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
847 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-splitLine.lo `test -f 'src/c/splitLine.c' || echo '$(srcdir)/'`src/c/splitLine.c
848
849 libscispreadsheet_algo_la-stringToComplex.lo: src/c/stringToComplex.c
850 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-stringToComplex.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-stringToComplex.Tpo -c -o libscispreadsheet_algo_la-stringToComplex.lo `test -f 'src/c/stringToComplex.c' || echo '$(srcdir)/'`src/c/stringToComplex.c
851 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-stringToComplex.Tpo $(DEPDIR)/libscispreadsheet_algo_la-stringToComplex.Plo
852 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/stringToComplex.c' object='libscispreadsheet_algo_la-stringToComplex.lo' libtool=yes @AMDEPBACKSLASH@
853 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
854 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-stringToComplex.lo `test -f 'src/c/stringToComplex.c' || echo '$(srcdir)/'`src/c/stringToComplex.c
855
856 libscispreadsheet_algo_la-utftolatin.lo: src/c/utftolatin.c
857 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-utftolatin.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-utftolatin.Tpo -c -o libscispreadsheet_algo_la-utftolatin.lo `test -f 'src/c/utftolatin.c' || echo '$(srcdir)/'`src/c/utftolatin.c
858 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-utftolatin.Tpo $(DEPDIR)/libscispreadsheet_algo_la-utftolatin.Plo
859 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/utftolatin.c' object='libscispreadsheet_algo_la-utftolatin.lo' libtool=yes @AMDEPBACKSLASH@
860 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
861 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-utftolatin.lo `test -f 'src/c/utftolatin.c' || echo '$(srcdir)/'`src/c/utftolatin.c
862
863 libscispreadsheet_algo_la-olestream-unwrap.lo: src/c/ripole/olestream-unwrap.c
864 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-olestream-unwrap.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-olestream-unwrap.Tpo -c -o libscispreadsheet_algo_la-olestream-unwrap.lo `test -f 'src/c/ripole/olestream-unwrap.c' || echo '$(srcdir)/'`src/c/ripole/olestream-unwrap.c
865 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-olestream-unwrap.Tpo $(DEPDIR)/libscispreadsheet_algo_la-olestream-unwrap.Plo
866 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/ripole/olestream-unwrap.c' object='libscispreadsheet_algo_la-olestream-unwrap.lo' libtool=yes @AMDEPBACKSLASH@
867 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
868 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-olestream-unwrap.lo `test -f 'src/c/ripole/olestream-unwrap.c' || echo '$(srcdir)/'`src/c/ripole/olestream-unwrap.c
869
870 libscispreadsheet_algo_la-pldstr.lo: src/c/ripole/pldstr.c
871 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-pldstr.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-pldstr.Tpo -c -o libscispreadsheet_algo_la-pldstr.lo `test -f 'src/c/ripole/pldstr.c' || echo '$(srcdir)/'`src/c/ripole/pldstr.c
872 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-pldstr.Tpo $(DEPDIR)/libscispreadsheet_algo_la-pldstr.Plo
873 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/ripole/pldstr.c' object='libscispreadsheet_algo_la-pldstr.lo' libtool=yes @AMDEPBACKSLASH@
874 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
875 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-pldstr.lo `test -f 'src/c/ripole/pldstr.c' || echo '$(srcdir)/'`src/c/ripole/pldstr.c
876
877 libscispreadsheet_algo_la-ole.lo: src/c/ripole/ole.c
878 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-ole.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-ole.Tpo -c -o libscispreadsheet_algo_la-ole.lo `test -f 'src/c/ripole/ole.c' || echo '$(srcdir)/'`src/c/ripole/ole.c
879 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-ole.Tpo $(DEPDIR)/libscispreadsheet_algo_la-ole.Plo
880 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/ripole/ole.c' object='libscispreadsheet_algo_la-ole.lo' libtool=yes @AMDEPBACKSLASH@
881 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
882 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-ole.lo `test -f 'src/c/ripole/ole.c' || echo '$(srcdir)/'`src/c/ripole/ole.c
883
884 libscispreadsheet_algo_la-bytedecoders.lo: src/c/ripole/bytedecoders.c
885 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-bytedecoders.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-bytedecoders.Tpo -c -o libscispreadsheet_algo_la-bytedecoders.lo `test -f 'src/c/ripole/bytedecoders.c' || echo '$(srcdir)/'`src/c/ripole/bytedecoders.c
886 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-bytedecoders.Tpo $(DEPDIR)/libscispreadsheet_algo_la-bytedecoders.Plo
887 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/ripole/bytedecoders.c' object='libscispreadsheet_algo_la-bytedecoders.lo' libtool=yes @AMDEPBACKSLASH@
888 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
889 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-bytedecoders.lo `test -f 'src/c/ripole/bytedecoders.c' || echo '$(srcdir)/'`src/c/ripole/bytedecoders.c
890
891 libscispreadsheet_algo_la-logger.lo: src/c/ripole/logger.c
892 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-logger.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-logger.Tpo -c -o libscispreadsheet_algo_la-logger.lo `test -f 'src/c/ripole/logger.c' || echo '$(srcdir)/'`src/c/ripole/logger.c
893 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-logger.Tpo $(DEPDIR)/libscispreadsheet_algo_la-logger.Plo
894 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/ripole/logger.c' object='libscispreadsheet_algo_la-logger.lo' libtool=yes @AMDEPBACKSLASH@
895 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
896 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-logger.lo `test -f 'src/c/ripole/logger.c' || echo '$(srcdir)/'`src/c/ripole/logger.c
897
898 libscispreadsheet_algo_la-ripole.lo: src/c/ripole/ripole.c
899 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-ripole.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-ripole.Tpo -c -o libscispreadsheet_algo_la-ripole.lo `test -f 'src/c/ripole/ripole.c' || echo '$(srcdir)/'`src/c/ripole/ripole.c
900 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-ripole.Tpo $(DEPDIR)/libscispreadsheet_algo_la-ripole.Plo
901 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/ripole/ripole.c' object='libscispreadsheet_algo_la-ripole.lo' libtool=yes @AMDEPBACKSLASH@
902 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
903 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-ripole.lo `test -f 'src/c/ripole/ripole.c' || echo '$(srcdir)/'`src/c/ripole/ripole.c
904
905 libscispreadsheet_algo_la-bt-int.lo: src/c/ripole/bt-int.c
906 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-bt-int.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-bt-int.Tpo -c -o libscispreadsheet_algo_la-bt-int.lo `test -f 'src/c/ripole/bt-int.c' || echo '$(srcdir)/'`src/c/ripole/bt-int.c
907 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-bt-int.Tpo $(DEPDIR)/libscispreadsheet_algo_la-bt-int.Plo
908 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/ripole/bt-int.c' object='libscispreadsheet_algo_la-bt-int.lo' libtool=yes @AMDEPBACKSLASH@
909 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
910 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-bt-int.lo `test -f 'src/c/ripole/bt-int.c' || echo '$(srcdir)/'`src/c/ripole/bt-int.c
911
912 libscispreadsheet_la-gw_spreadsheet.lo: sci_gateway/c/gw_spreadsheet.c
913 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_la-gw_spreadsheet.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-gw_spreadsheet.Tpo -c -o libscispreadsheet_la-gw_spreadsheet.lo `test -f 'sci_gateway/c/gw_spreadsheet.c' || echo '$(srcdir)/'`sci_gateway/c/gw_spreadsheet.c
914 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_la-gw_spreadsheet.Tpo $(DEPDIR)/libscispreadsheet_la-gw_spreadsheet.Plo
915 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/gw_spreadsheet.c' object='libscispreadsheet_la-gw_spreadsheet.lo' libtool=yes @AMDEPBACKSLASH@
916 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
917 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_la-gw_spreadsheet.lo `test -f 'sci_gateway/c/gw_spreadsheet.c' || echo '$(srcdir)/'`sci_gateway/c/gw_spreadsheet.c
918
919 libscispreadsheet_la-gw_csv_helpers.lo: sci_gateway/c/gw_csv_helpers.c
920 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_la-gw_csv_helpers.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-gw_csv_helpers.Tpo -c -o libscispreadsheet_la-gw_csv_helpers.lo `test -f 'sci_gateway/c/gw_csv_helpers.c' || echo '$(srcdir)/'`sci_gateway/c/gw_csv_helpers.c
921 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_la-gw_csv_helpers.Tpo $(DEPDIR)/libscispreadsheet_la-gw_csv_helpers.Plo
922 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/gw_csv_helpers.c' object='libscispreadsheet_la-gw_csv_helpers.lo' libtool=yes @AMDEPBACKSLASH@
923 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
924 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_la-gw_csv_helpers.lo `test -f 'sci_gateway/c/gw_csv_helpers.c' || echo '$(srcdir)/'`sci_gateway/c/gw_csv_helpers.c
925
926 libscispreadsheet_la-sci_csvDefault.lo: sci_gateway/c/sci_csvDefault.c
927 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_la-sci_csvDefault.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-sci_csvDefault.Tpo -c -o libscispreadsheet_la-sci_csvDefault.lo `test -f 'sci_gateway/c/sci_csvDefault.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvDefault.c
928 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_la-sci_csvDefault.Tpo $(DEPDIR)/libscispreadsheet_la-sci_csvDefault.Plo
929 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_csvDefault.c' object='libscispreadsheet_la-sci_csvDefault.lo' libtool=yes @AMDEPBACKSLASH@
930 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
931 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_la-sci_csvDefault.lo `test -f 'sci_gateway/c/sci_csvDefault.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvDefault.c
932
933 libscispreadsheet_la-sci_csvIsnum.lo: sci_gateway/c/sci_csvIsnum.c
934 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_la-sci_csvIsnum.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-sci_csvIsnum.Tpo -c -o libscispreadsheet_la-sci_csvIsnum.lo `test -f 'sci_gateway/c/sci_csvIsnum.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvIsnum.c
935 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_la-sci_csvIsnum.Tpo $(DEPDIR)/libscispreadsheet_la-sci_csvIsnum.Plo
936 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_csvIsnum.c' object='libscispreadsheet_la-sci_csvIsnum.lo' libtool=yes @AMDEPBACKSLASH@
937 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
938 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_la-sci_csvIsnum.lo `test -f 'sci_gateway/c/sci_csvIsnum.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvIsnum.c
939
940 libscispreadsheet_la-sci_csvRead.lo: sci_gateway/c/sci_csvRead.c
941 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_la-sci_csvRead.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-sci_csvRead.Tpo -c -o libscispreadsheet_la-sci_csvRead.lo `test -f 'sci_gateway/c/sci_csvRead.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvRead.c
942 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_la-sci_csvRead.Tpo $(DEPDIR)/libscispreadsheet_la-sci_csvRead.Plo
943 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_csvRead.c' object='libscispreadsheet_la-sci_csvRead.lo' libtool=yes @AMDEPBACKSLASH@
944 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
945 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_la-sci_csvRead.lo `test -f 'sci_gateway/c/sci_csvRead.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvRead.c
946
947 libscispreadsheet_la-sci_csvStringToDouble.lo: sci_gateway/c/sci_csvStringToDouble.c
948 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_la-sci_csvStringToDouble.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-sci_csvStringToDouble.Tpo -c -o libscispreadsheet_la-sci_csvStringToDouble.lo `test -f 'sci_gateway/c/sci_csvStringToDouble.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvStringToDouble.c
949 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_la-sci_csvStringToDouble.Tpo $(DEPDIR)/libscispreadsheet_la-sci_csvStringToDouble.Plo
950 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_csvStringToDouble.c' object='libscispreadsheet_la-sci_csvStringToDouble.lo' libtool=yes @AMDEPBACKSLASH@
951 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
952 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_la-sci_csvStringToDouble.lo `test -f 'sci_gateway/c/sci_csvStringToDouble.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvStringToDouble.c
953
954 libscispreadsheet_la-sci_csvTextScan.lo: sci_gateway/c/sci_csvTextScan.c
955 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_la-sci_csvTextScan.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-sci_csvTextScan.Tpo -c -o libscispreadsheet_la-sci_csvTextScan.lo `test -f 'sci_gateway/c/sci_csvTextScan.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvTextScan.c
956 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_la-sci_csvTextScan.Tpo $(DEPDIR)/libscispreadsheet_la-sci_csvTextScan.Plo
957 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_csvTextScan.c' object='libscispreadsheet_la-sci_csvTextScan.lo' libtool=yes @AMDEPBACKSLASH@
958 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
959 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_la-sci_csvTextScan.lo `test -f 'sci_gateway/c/sci_csvTextScan.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvTextScan.c
960
961 libscispreadsheet_la-sci_csvWrite.lo: sci_gateway/c/sci_csvWrite.c
962 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_la-sci_csvWrite.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-sci_csvWrite.Tpo -c -o libscispreadsheet_la-sci_csvWrite.lo `test -f 'sci_gateway/c/sci_csvWrite.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvWrite.c
963 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_la-sci_csvWrite.Tpo $(DEPDIR)/libscispreadsheet_la-sci_csvWrite.Plo
964 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_csvWrite.c' object='libscispreadsheet_la-sci_csvWrite.lo' libtool=yes @AMDEPBACKSLASH@
965 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
966 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_la-sci_csvWrite.lo `test -f 'sci_gateway/c/sci_csvWrite.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvWrite.c
967
968 .cpp.o:
969 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
970 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
971 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
972 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
973 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ $<
974
975 .cpp.obj:
976 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
977 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
978 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
979 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
980 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
981
982 .cpp.lo:
983 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
984 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
985 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
986 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
987 @am__fastdepCXX_FALSE@  $(LTCXXCOMPILE) -c -o $@ $<
988
989 libscispreadsheet_la-sci_xls_read.lo: sci_gateway/cpp/sci_xls_read.cpp
990 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscispreadsheet_la-sci_xls_read.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-sci_xls_read.Tpo -c -o libscispreadsheet_la-sci_xls_read.lo `test -f 'sci_gateway/cpp/sci_xls_read.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xls_read.cpp
991 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscispreadsheet_la-sci_xls_read.Tpo $(DEPDIR)/libscispreadsheet_la-sci_xls_read.Plo
992 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xls_read.cpp' object='libscispreadsheet_la-sci_xls_read.lo' libtool=yes @AMDEPBACKSLASH@
993 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
994 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscispreadsheet_la-sci_xls_read.lo `test -f 'sci_gateway/cpp/sci_xls_read.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xls_read.cpp
995
996 libscispreadsheet_la-sci_xls_open.lo: sci_gateway/cpp/sci_xls_open.cpp
997 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscispreadsheet_la-sci_xls_open.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-sci_xls_open.Tpo -c -o libscispreadsheet_la-sci_xls_open.lo `test -f 'sci_gateway/cpp/sci_xls_open.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xls_open.cpp
998 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscispreadsheet_la-sci_xls_open.Tpo $(DEPDIR)/libscispreadsheet_la-sci_xls_open.Plo
999 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xls_open.cpp' object='libscispreadsheet_la-sci_xls_open.lo' libtool=yes @AMDEPBACKSLASH@
1000 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1001 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscispreadsheet_la-sci_xls_open.lo `test -f 'sci_gateway/cpp/sci_xls_open.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xls_open.cpp
1002
1003 mostlyclean-libtool:
1004         -rm -f *.lo
1005
1006 clean-libtool:
1007         -rm -rf .libs _libs
1008 install-libscispreadsheet_la_etcDATA: $(libscispreadsheet_la_etc_DATA)
1009         @$(NORMAL_INSTALL)
1010         @list='$(libscispreadsheet_la_etc_DATA)'; test -n "$(libscispreadsheet_la_etcdir)" || list=; \
1011         if test -n "$$list"; then \
1012           echo " $(MKDIR_P) '$(DESTDIR)$(libscispreadsheet_la_etcdir)'"; \
1013           $(MKDIR_P) "$(DESTDIR)$(libscispreadsheet_la_etcdir)" || exit 1; \
1014         fi; \
1015         for p in $$list; do \
1016           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1017           echo "$$d$$p"; \
1018         done | $(am__base_list) | \
1019         while read files; do \
1020           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscispreadsheet_la_etcdir)'"; \
1021           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscispreadsheet_la_etcdir)" || exit $$?; \
1022         done
1023
1024 uninstall-libscispreadsheet_la_etcDATA:
1025         @$(NORMAL_UNINSTALL)
1026         @list='$(libscispreadsheet_la_etc_DATA)'; test -n "$(libscispreadsheet_la_etcdir)" || list=; \
1027         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1028         dir='$(DESTDIR)$(libscispreadsheet_la_etcdir)'; $(am__uninstall_files_from_dir)
1029 install-libscispreadsheet_la_rootDATA: $(libscispreadsheet_la_root_DATA)
1030         @$(NORMAL_INSTALL)
1031         @list='$(libscispreadsheet_la_root_DATA)'; test -n "$(libscispreadsheet_la_rootdir)" || list=; \
1032         if test -n "$$list"; then \
1033           echo " $(MKDIR_P) '$(DESTDIR)$(libscispreadsheet_la_rootdir)'"; \
1034           $(MKDIR_P) "$(DESTDIR)$(libscispreadsheet_la_rootdir)" || exit 1; \
1035         fi; \
1036         for p in $$list; do \
1037           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1038           echo "$$d$$p"; \
1039         done | $(am__base_list) | \
1040         while read files; do \
1041           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscispreadsheet_la_rootdir)'"; \
1042           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscispreadsheet_la_rootdir)" || exit $$?; \
1043         done
1044
1045 uninstall-libscispreadsheet_la_rootDATA:
1046         @$(NORMAL_UNINSTALL)
1047         @list='$(libscispreadsheet_la_root_DATA)'; test -n "$(libscispreadsheet_la_rootdir)" || list=; \
1048         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1049         dir='$(DESTDIR)$(libscispreadsheet_la_rootdir)'; $(am__uninstall_files_from_dir)
1050 install-libscispreadsheet_la_sci_gatewayDATA: $(libscispreadsheet_la_sci_gateway_DATA)
1051         @$(NORMAL_INSTALL)
1052         @list='$(libscispreadsheet_la_sci_gateway_DATA)'; test -n "$(libscispreadsheet_la_sci_gatewaydir)" || list=; \
1053         if test -n "$$list"; then \
1054           echo " $(MKDIR_P) '$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)'"; \
1055           $(MKDIR_P) "$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)" || exit 1; \
1056         fi; \
1057         for p in $$list; do \
1058           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1059           echo "$$d$$p"; \
1060         done | $(am__base_list) | \
1061         while read files; do \
1062           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)'"; \
1063           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)" || exit $$?; \
1064         done
1065
1066 uninstall-libscispreadsheet_la_sci_gatewayDATA:
1067         @$(NORMAL_UNINSTALL)
1068         @list='$(libscispreadsheet_la_sci_gateway_DATA)'; test -n "$(libscispreadsheet_la_sci_gatewaydir)" || list=; \
1069         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1070         dir='$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
1071
1072 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
1073         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
1074         unique=`for i in $$list; do \
1075             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1076           done | \
1077           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1078               END { if (nonempty) { for (i in files) print i; }; }'`; \
1079         mkid -fID $$unique
1080 tags: TAGS
1081
1082 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
1083                 $(TAGS_FILES) $(LISP)
1084         set x; \
1085         here=`pwd`; \
1086         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
1087         unique=`for i in $$list; do \
1088             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1089           done | \
1090           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1091               END { if (nonempty) { for (i in files) print i; }; }'`; \
1092         shift; \
1093         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1094           test -n "$$unique" || unique=$$empty_fix; \
1095           if test $$# -gt 0; then \
1096             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1097               "$$@" $$unique; \
1098           else \
1099             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1100               $$unique; \
1101           fi; \
1102         fi
1103 ctags: CTAGS
1104 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
1105                 $(TAGS_FILES) $(LISP)
1106         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
1107         unique=`for i in $$list; do \
1108             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1109           done | \
1110           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1111               END { if (nonempty) { for (i in files) print i; }; }'`; \
1112         test -z "$(CTAGS_ARGS)$$unique" \
1113           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1114              $$unique
1115
1116 GTAGS:
1117         here=`$(am__cd) $(top_builddir) && pwd` \
1118           && $(am__cd) $(top_srcdir) \
1119           && gtags -i $(GTAGS_ARGS) "$$here"
1120
1121 distclean-tags:
1122         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1123
1124 distdir: $(DISTFILES)
1125         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1126         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1127         list='$(DISTFILES)'; \
1128           dist_files=`for file in $$list; do echo $$file; done | \
1129           sed -e "s|^$$srcdirstrip/||;t" \
1130               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1131         case $$dist_files in \
1132           */*) $(MKDIR_P) `echo "$$dist_files" | \
1133                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1134                            sort -u` ;; \
1135         esac; \
1136         for file in $$dist_files; do \
1137           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1138           if test -d $$d/$$file; then \
1139             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1140             if test -d "$(distdir)/$$file"; then \
1141               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1142             fi; \
1143             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1144               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1145               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1146             fi; \
1147             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1148           else \
1149             test -f "$(distdir)/$$file" \
1150             || cp -p $$d/$$file "$(distdir)/$$file" \
1151             || exit 1; \
1152           fi; \
1153         done
1154 check-am: all-am
1155         $(MAKE) $(AM_MAKEFLAGS) check-local
1156 check: check-am
1157 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1158 installdirs:
1159         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscispreadsheet_la_etcdir)" "$(DESTDIR)$(libscispreadsheet_la_rootdir)" "$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)"; do \
1160           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1161         done
1162 install: install-am
1163 install-exec: install-exec-am
1164 install-data: install-data-am
1165 uninstall: uninstall-am
1166
1167 install-am: all-am
1168         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1169
1170 installcheck: installcheck-am
1171 install-strip:
1172         if test -z '$(STRIP)'; then \
1173           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1174             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1175               install; \
1176         else \
1177           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1178             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1179             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1180         fi
1181 mostlyclean-generic:
1182
1183 clean-generic:
1184
1185 distclean-generic:
1186         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1187         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1188
1189 maintainer-clean-generic:
1190         @echo "This command is intended for maintainers to use"
1191         @echo "it deletes files that may require special tools to rebuild."
1192 clean: clean-am
1193
1194 clean-am: clean-generic clean-libtool clean-local \
1195         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1196
1197 distclean: distclean-am
1198         -rm -rf ./$(DEPDIR)
1199         -rm -f Makefile
1200 distclean-am: clean-am distclean-compile distclean-generic \
1201         distclean-local distclean-tags
1202
1203 dvi: dvi-am
1204
1205 dvi-am:
1206
1207 html: html-am
1208
1209 html-am:
1210
1211 info: info-am
1212
1213 info-am:
1214
1215 install-data-am: install-data-local \
1216         install-libscispreadsheet_la_etcDATA \
1217         install-libscispreadsheet_la_rootDATA \
1218         install-libscispreadsheet_la_sci_gatewayDATA
1219
1220 install-dvi: install-dvi-am
1221
1222 install-dvi-am:
1223
1224 install-exec-am: install-pkglibLTLIBRARIES
1225
1226 install-html: install-html-am
1227
1228 install-html-am: install-html-local
1229
1230 install-info: install-info-am
1231
1232 install-info-am:
1233
1234 install-man:
1235
1236 install-pdf: install-pdf-am
1237
1238 install-pdf-am:
1239
1240 install-ps: install-ps-am
1241
1242 install-ps-am:
1243
1244 installcheck-am:
1245
1246 maintainer-clean: maintainer-clean-am
1247         -rm -rf ./$(DEPDIR)
1248         -rm -f Makefile
1249 maintainer-clean-am: distclean-am maintainer-clean-generic
1250
1251 mostlyclean: mostlyclean-am
1252
1253 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1254         mostlyclean-libtool
1255
1256 pdf: pdf-am
1257
1258 pdf-am:
1259
1260 ps: ps-am
1261
1262 ps-am:
1263
1264 uninstall-am: uninstall-libscispreadsheet_la_etcDATA \
1265         uninstall-libscispreadsheet_la_rootDATA \
1266         uninstall-libscispreadsheet_la_sci_gatewayDATA \
1267         uninstall-pkglibLTLIBRARIES
1268
1269 .MAKE: check-am install-am install-strip
1270
1271 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
1272         clean clean-generic clean-libtool clean-local \
1273         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES ctags \
1274         distclean distclean-compile distclean-generic \
1275         distclean-libtool distclean-local distclean-tags distdir dvi \
1276         dvi-am html html-am info info-am install install-am \
1277         install-data install-data-am install-data-local install-dvi \
1278         install-dvi-am install-exec install-exec-am install-html \
1279         install-html-am install-html-local install-info \
1280         install-info-am install-libscispreadsheet_la_etcDATA \
1281         install-libscispreadsheet_la_rootDATA \
1282         install-libscispreadsheet_la_sci_gatewayDATA install-man \
1283         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
1284         install-ps install-ps-am install-strip installcheck \
1285         installcheck-am installdirs maintainer-clean \
1286         maintainer-clean-generic mostlyclean mostlyclean-compile \
1287         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1288         tags uninstall uninstall-am \
1289         uninstall-libscispreadsheet_la_etcDATA \
1290         uninstall-libscispreadsheet_la_rootDATA \
1291         uninstall-libscispreadsheet_la_sci_gatewayDATA \
1292         uninstall-pkglibLTLIBRARIES
1293
1294
1295 # This target enables tests for Scilab
1296 check-local: $(top_builddir)/scilab-bin test
1297         if test -d $(mydatadir)/tests; then \
1298           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1299         fi
1300 check-code:
1301         if test -f build.xml; then \
1302                 $(ANT) checkstyle; \
1303         fi
1304         if test -x "$(SPLINT)"; then \
1305                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1306         fi
1307 @NEED_JAVA_TRUE@java:
1308 # Some configurations needs to export JAVA_HOME in the current env
1309 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1310 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1311 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1312 @NEED_JAVA_TRUE@                $(ANT); \
1313 @NEED_JAVA_TRUE@        fi
1314
1315 @NEED_JAVA_TRUE@clean-java:
1316 # Some configurations needs to export JAVA_HOME in the current env
1317 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1318 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1319 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1320 @NEED_JAVA_TRUE@                $(ANT) clean; \
1321 @NEED_JAVA_TRUE@        fi;
1322
1323 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1324 # We call the target swig-build on the variable SWIG_WRAPPERS
1325
1326 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1327 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1328 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1329 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1330 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1331 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1332 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1333 @SWIG_TRUE@             done; \
1334 @SWIG_TRUE@     fi
1335
1336 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1337 # We call the target swig-build on the variable SWIG_WRAPPERS
1338
1339 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1340 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1341 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1342 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1343 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1344 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1345 @GIWS_TRUE@             done; \
1346 @GIWS_TRUE@     fi
1347
1348 @GIWS_TRUE@giws-exception:
1349 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1350 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1351 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1352
1353 macros:
1354         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1355                 echo "Error : Cannot build $< : Scilab has not been built"; \
1356         else \
1357                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1358         fi)
1359
1360 # Removes the macros
1361 clean-macros:
1362 # Removes macros (*.bin generated from .sci)
1363         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1364                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1365                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1366         done
1367
1368 test:
1369 # More tests could be added here
1370         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1371         if test -f build.xml -a $$USEANT -eq 1; then \
1372                 $(ANT) test; \
1373         fi
1374
1375 all-local: $(TARGETS_ALL)
1376
1377 .sci.bin:
1378         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1379         echo "Error : Cannot build $< : Scilab has not been build"; \
1380         else \
1381         echo "Creating $@"; \
1382         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1383         fi )
1384
1385 install-html-local:
1386
1387 install-data-local-local:
1388 # Mainly for javasci
1389         @if test -d $(srcdir)/javadoc; then \
1390                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1391         fi
1392 # If the user wants the help sources to be installed
1393 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1394 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1395 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1396 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1397 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1398 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1399 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1400 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1401 @INSTALL_HELP_XML_TRUE@           done ; \
1402 @INSTALL_HELP_XML_TRUE@         fi; \
1403 @INSTALL_HELP_XML_TRUE@  fi; \
1404 @INSTALL_HELP_XML_TRUE@ done; \
1405 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1406 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1407 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1408 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1409 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1410 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1411 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1412 @INSTALL_HELP_XML_TRUE@           done ; \
1413 @INSTALL_HELP_XML_TRUE@         fi; \
1414 @INSTALL_HELP_XML_TRUE@ fi
1415 install-data-local:
1416 # Install the tests
1417         @echo "-------- Install tests (if any) --------"; \
1418         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1419           if test -d $(srcdir)/$$dir/; then \
1420             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1421                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1422                     if test -d "$(srcdir)/$$dir/$$file"; then \
1423                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1424                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1425                     else \
1426                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1427                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1428                     fi \
1429                   done; \
1430           fi; \
1431         done
1432 # Install the help chapter
1433         @echo "-------- Install the help chapter (if any) --------"; \
1434         for lang in $(HELP_CHAPTERLANG); do \
1435                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1436                 if test -f $$HELPFILE; then \
1437                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1438                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1439                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1440                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1441                 fi; \
1442         done
1443 # Install the demos & examples
1444         @echo "-------- Install demos & examples (if any) --------"; \
1445         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1446           if test -d $(srcdir)/$$dir/; then \
1447             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1448                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1449                     if test -d "$(srcdir)/$$dir/$$file"; then \
1450                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1451                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1452                     else \
1453                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1454                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1455                     fi \
1456                   done; \
1457           fi; \
1458         done
1459 # Install the macros
1460         @echo "-------- Install macros (if any) --------"; \
1461         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1462           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1463                 if test -d $(srcdir)/$$dir/; then \
1464                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1465                         if test -n "$(MACROSSPECIALEXT)"; then \
1466                                 specialExtDir=""; \
1467                                 for specialExt in $(MACROSSPECIALEXT); do \
1468                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1469                                 done; \
1470                                 FILELIST="$$FILELIST $$specialExtDir"; \
1471                         fi; \
1472                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1473                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1474                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1475                   done; \
1476                 fi; \
1477         done
1478 # Install java files (.jar)
1479         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1480         echo "-------- Install jar files --------"; \
1481     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1482           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1483                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1484                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1485           done ; \
1486         fi
1487
1488 ########### CLEAN ###################
1489 # Clean help (generated automatically by Scilab)
1490 # It used to clean the macro (clean-macros) but this was causing
1491 # make clean && make to fail Scilab startup
1492 @NEED_JAVA_TRUE@clean-local: clean-java
1493 @NEED_JAVA_FALSE@clean-local:
1494
1495 distclean-local:
1496         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1497
1498 .PHONY: macros java swig giws
1499
1500 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1501 # Otherwise a system limit (for SysV at least) may be exceeded.
1502 .NOEXPORT: